/* La bibliothèque  */
libname TD2 "/home/u43532959/TD/TD2";
run;

/* Importation des données 'gains.xlsx'*/
proc import datafile="/home/u43532959/TD/gains.xlsx"
			dbms=xlsx
			out=TD2.gains
			replace;
run;

/* 1.Calculez les fréquences pour la variable lieutournoi (proc freq) */
proc freq data=TD2.gains;
	table lieutournoi;
run;

/*  2. Filtrez les valeurs ou le lieu de tournoi est Roland Garros et sponsor est Peugeot.*/
data gains_filtrage;
	set td2.gains;
	where lieutournoi like 'Roland Garros' and sponsor like 'Peugeot';
run;

/* 3.Calculez la moyenne de variable prime par l'année (proc sort et proc means) */
proc sort data=td2.gains out=gains_sort;
	by annee;
run;

proc means data=gains_sort noprint;
	by annee;
	var prime;
	output out=gains_moyenne(drop= _type_ _freq_)
	mean=moyenne_prime;
	format moyenne_prime comma9.;
run;

/* 4. Créez une nouvelle variable country selon le critère de lieutournoi.
Les valeurs de la variable country sont France, UK, et US 
(if else ou encore select when) 
Utilisez proc freq pour afficher les frequences de la variable country*/
data gains_country;
	set td2.gains;
	if lieutournoi='Roland Garros' then
		country='France';
	else if lieutournoi='Wimbledon' then
		country='UK';
	else if lieutournoi='Flushing Meadow' then
		country='US';
run;

data gains_country;
	set td2.gains;
		select (lieutournoi);
		when ('Roland Garros') do;
			country='France';
		end;
		when ('Wimbledon') do;
			country='UK';
		end;
		otherwise do;
			country='US';
		end;
	end;
run; 

proc freq data=gains_country;
	table country;
run; 



