/* Exercice 3 :
0 : Import des tables nécessaires à l'exercice */

 
/*1. Mettre à jours la table joueurs afin de renommer l’ensemble des nationalités 
des joueurs avec les deux première lettre ,en majuscule, du pays, à l’exception
 des Etat-Unis pour lequel le sigle US doit apparaître.  */ 
proc sql noprint; 
	update TD2.joueurs set nationalite=upper(substr(nationalite,1,2))
	where nationalite not like 'Etats-Unis';
	update TD2.joueurs set nationalite='US'
	where nationalite like 'Etats-Unis';
quit;

/* 2. Créer une vue indiquant le nombre de joueur par nationalité.*/ 

proc sql;
	select nationalite, count(*) as Nombre_de_joueur
	from TD2.joueurs
	group by (nationalite);
quit;

/* 3. Afficher le nombre de rencontre gagnées pour chaque nationalité. */ 
proc sql;
	select a.nationalite, count(b.nugagnant) as Nombre_victoire
	from TD2.joueurs as a right join TD2.rencontres as b
	on a.num_joueur=b.nugagnant
	group by a.nationalite;
quit;


/* 4. Quel joueur a remporté le plus de match ? Afficher son nom, prénom, 
nationalité et le nombre de rencontres qu’il a remporté.  */ 

proc sql;
	select unique(nom), prenom, nationalite, total_victoire
	from (
		select a.*, b.*, count(b.lieutournoi) as total_victoire 
			from TD2.joueurs as a right join TD2.rencontres as b
			on a.num_joueur=b.nugagnant
			group by a.num_joueur
	)
	having total_victoire=max(total_victoire);
quit;


/*5. Ecrire un macro-programme SAS prenant en paramètre une année et un tournoi et
 affichant les joueur ayant gagné au moins un match lors de ce tournoi.
 (Utilisation de proc sql au sein de la macro, voir cours p24 à p27)*/


%macro gagnant(tounoi, annee);
	proc sql;
		select a.nom, a.prenom from TD2.joueurs as a right join TD2.rencontres as b
		on a.num_joueur=b.nugagnant
		where b.lieutournoi like &tounoi. and b.annee=&annee.;
	quit;

%mend gagnant;

%gagnant('Roland-Garros',1990);
