/* Import des données */
FILENAME GAINS '/home/clementtassart0/sasuser.v94/gains.xlsx';
FILENAME JOUEURS '/home/clementtassart0/sasuser.v94/joueurs.xlsx';

PROC IMPORT DATAFILE=GAINS
	DBMS=XLSX OUT=GAINS REPLACE;
	GETNAMES=YES;
RUN;

PROC IMPORT DATAFILE=JOUEURS
	DBMS=XLSX OUT=JOUEURS REPLACE;
	GETNAMES=YES;
RUN;

PROC PRINT DATA=GAINS;
PROC PRINT DATA=JOUEURS;

/* Q1 : Reprenez les datasets gains.xlsx et joueurs.xlsx (ou GAINS et JOUEURS). 
Effectuez une fusion de ces deux datasets en une seule table par la variable commune num_joueur. 
Appelez-la TENNIS. 
Remarque : La variable commune ne porte pas le même nom dans les deux datasets.
(Cours Manipulation des données (2) pages 12 à 14). */
DATA GAINS(RENAME=(nujoueur=num_joueur));
	SET GAINS;
RUN;

PROC PRINT DATA=GAINS; RUN;

PROC SORT DATA=GAINS;
	BY num_joueur;
RUN;

PROC SORT DATA=JOUEURS;
	BY num_joueur;
RUN;

PROC PRINT DATA=GAINS; RUN;
PROC PRINT DATA=JOUEURS; RUN;

DATA TENNIS;
	MERGE JOUEURS GAINS;
	BY num_joueur;
RUN;

/* Q2 : Affichez-la pour vous assurer que la fusion s’est bien déroulée.
On remarque que des joueurs n’ont pas gagné de compétitions mais sont présents dans la table 
fusionnée. (Joueurs présents dans le dataset joueurs mais pas dans celui de gains). */
PROC PRINT DATA=TENNIS;


/* Q3 : Dans la question 2, vous avez réalisé une FULL OUTER JOIN. 
Rajoutez une condition sur l’étape DATA (IF Statement) pour ne retourner que les joueurs (et leurs 
gains) ayant gagné des compétitions. Autrement dit, vous devez mettre en place une INNER JOIN. */
DATA TENNIS_INNERJOIN;
	MERGE JOUEURS(in = j) GAINS(in = g);
	BY num_joueur;
	IF (j and g) THEN OUTPUT TENNIS_INNERJOIN;
RUN;
PROC PRINT DATA=TENNIS_INNERJOIN;

/* Q4 : Réalisez maintenant la fusion (INNER JOIN) des deux datasets avec PROC SQL. 
Appelez la table créée TENNIS_SQL. Vous devriez obtenir le même résultat que dans la question 3. */
PROC SQL NOPRINT;
CREATE TABLE TENNIS_SQL AS
	SELECT * FROM JOUEURS J, GAINS G WHERE J.num_joueur = G.num_joueur
	ORDER BY num_joueur;
QUIT;
PROC PRINT DATA=TENNIS_SQL;

/* Q5 : Exportez la table TENNIS_SQL en un fichier que vous nommerez tennis.csv.
(Cours Manipulation des données (2) page 28). */
PROC EXPORT DATA=TENNIS_SQL
	OUTFILE="/home/clementtassart0/sasuser.v94/tennis.csv";
	DELIMITER=";";
RUN;


/* Q6:Ouvrez le fichier tennis.csv nouvellement créé et vérifiez que l’export s’est bien effectué. */


